Bug 143434 - CAN-2004-1145 Konqueror Java Vulnerability
CAN-2004-1145 Konqueror Java Vulnerability
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-12-20 15:03 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-18 04:51:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-20 15:03:23 EST
Two flaws in the Konqueror webbrowser make it possible to by pass the
sandbox environment which is used to run Java-applets.  One flaw
allows access to restricted Java classes via JavaScript, making it
possible to escalate the privileges of the Java-applet.  The other
problem is that Konqueror fails to correctly restrict access to
certain Java classes from the Java-applet itself.

See http://www.kde.org/info/security/advisory-20041220-1.txt for the
full advisory.
Comment 1 Josh Bressers 2004-12-20 15:06:13 EST
This issue also affects FC2
Comment 2 Mark J. Cox (Product Security) 2005-03-18 04:51:33 EST
        CAN-2004-1145 Affects: FC2 [#143434:NEW] -> 2005-063
        CAN-2004-1145 Affects: FC3 [#143434:NEW] -> 2005-064

Note You need to log in before you can comment on or make changes to this bug.